Is there a line of code that will look at a drawing view and turn shading on?
I have tried
ActiveSheet.View("VIEW1").View.Shaded = True
but it didn't work
Solved! Go to Solution.
Is there a line of code that will look at a drawing view and turn shading on?
I have tried
ActiveSheet.View("VIEW1").View.Shaded = True
but it didn't work
Solved! Go to Solution.
Solved by VdVeek. Go to Solution.
There was an older post here: http://forums.autodesk.com/t5/Autodesk-Inventor-Customization/iLogic-code-for-Visual-styles-Shaded-w...
Hope that helps you.
Rob.
There was an older post here: http://forums.autodesk.com/t5/Autodesk-Inventor-Customization/iLogic-code-for-Visual-styles-Shaded-w...
Hope that helps you.
Rob.
Thanks but the post seems to be refering to the Display Style in the modelling environment, whereas I want to change the style of a drawing view.
Thanks but the post seems to be refering to the Display Style in the modelling environment, whereas I want to change the style of a drawing view.
This is from VBA, experiment with it to make it work in iLogic.
DrawingView.ViewStyle = kShadedDrawingViewStyle
I'm not sure how familiar you are with coding in iLogic, but post back if you need more help.
This is from VBA, experiment with it to make it work in iLogic.
DrawingView.ViewStyle = kShadedDrawingViewStyle
I'm not sure how familiar you are with coding in iLogic, but post back if you need more help.
This iLogic code works for a drawing and changes all views in the selected sheet.
Dim oDrawDoc As DrawingDocument
oDrawDoc = ThisApplication.ActiveDocument
Dim oSheet As Sheet
oSheet = oDrawDoc.ActiveSheet
' select drawing views on active sheet
Dim oDrawView As DrawingView
For Each oDrawView In oSheet.DrawingViews
'adjust drawing view style
oDrawView.ViewStyle = DrawingViewStyleEnum.kShadedHiddenLineDrawingViewStyle
'OPTIONS TO CHOOSE FROM
' kHiddenLineDrawingViewStyle = 32257
' kHiddenLineRemovedDrawingViewStyle = 32258
' kShadedDrawingViewStyle = 32259
' kShadedHiddenLineDrawingViewStyle = 32261
' kFromBaseDrawingViewStyle = 32260
Next
This iLogic code works for a drawing and changes all views in the selected sheet.
Dim oDrawDoc As DrawingDocument
oDrawDoc = ThisApplication.ActiveDocument
Dim oSheet As Sheet
oSheet = oDrawDoc.ActiveSheet
' select drawing views on active sheet
Dim oDrawView As DrawingView
For Each oDrawView In oSheet.DrawingViews
'adjust drawing view style
oDrawView.ViewStyle = DrawingViewStyleEnum.kShadedHiddenLineDrawingViewStyle
'OPTIONS TO CHOOSE FROM
' kHiddenLineDrawingViewStyle = 32257
' kHiddenLineRemovedDrawingViewStyle = 32258
' kShadedDrawingViewStyle = 32259
' kShadedHiddenLineDrawingViewStyle = 32261
' kFromBaseDrawingViewStyle = 32260
Next
Thanks Mike,
I have been having a play around but haven't had any luck yet. i though the following may work but Inventor can not recognise 'View Style':
ActiveSheet.View("VIEW1").ViewStyle=kshadedDrawingViewStyle
I get the folliwng error:
Rule Compile Errors in Rule0, in 09090G00105414.idw
Error on Line 1 : 'ViewStyle' is not a member of 'Autodesk.iLogic.Interfaces.ICadDrawingView'.
Thanks Mike,
I have been having a play around but haven't had any luck yet. i though the following may work but Inventor can not recognise 'View Style':
ActiveSheet.View("VIEW1").ViewStyle=kshadedDrawingViewStyle
I get the folliwng error:
Rule Compile Errors in Rule0, in 09090G00105414.idw
Error on Line 1 : 'ViewStyle' is not a member of 'Autodesk.iLogic.Interfaces.ICadDrawingView'.
Thanks VdVeek
Thanks VdVeek
@VdVeekfirst of all Thank you! the rule is clear and works fast. how the code should be look like in case i want to change views in all drawing views on all sheets in the idw? (i use multiple sheet idw)
Thanks
@VdVeekfirst of all Thank you! the rule is clear and works fast. how the code should be look like in case i want to change views in all drawing views on all sheets in the idw? (i use multiple sheet idw)
Thanks
@Alexrose1942, for a multisheet drawing the code will be:
Dim oDrawDoc As DrawingDocument oDrawDoc = ThisApplication.ActiveDocument Dim oSheet As Sheet 'oSheet = oDrawDoc.ActiveSheet For Each oSheet In oDrawDoc.Sheets ' select drawing views on active sheet Dim oDrawView As DrawingView For Each oDrawView In oSheet.DrawingViews 'adjust drawing view style oDrawView.ViewStyle = DrawingViewStyleEnum.kShadedHiddenLineDrawingViewStyle 'OPTIONS TO CHOOSE FROM ' kHiddenLineDrawingViewStyle = 32257 ' kHiddenLineRemovedDrawingViewStyle = 32258 ' kShadedDrawingViewStyle = 32259 ' kShadedHiddenLineDrawingViewStyle = 32261 ' kFromBaseDrawingViewStyle = 32260 Next Next
@Alexrose1942, for a multisheet drawing the code will be:
Dim oDrawDoc As DrawingDocument oDrawDoc = ThisApplication.ActiveDocument Dim oSheet As Sheet 'oSheet = oDrawDoc.ActiveSheet For Each oSheet In oDrawDoc.Sheets ' select drawing views on active sheet Dim oDrawView As DrawingView For Each oDrawView In oSheet.DrawingViews 'adjust drawing view style oDrawView.ViewStyle = DrawingViewStyleEnum.kShadedHiddenLineDrawingViewStyle 'OPTIONS TO CHOOSE FROM ' kHiddenLineDrawingViewStyle = 32257 ' kHiddenLineRemovedDrawingViewStyle = 32258 ' kShadedDrawingViewStyle = 32259 ' kShadedHiddenLineDrawingViewStyle = 32261 ' kFromBaseDrawingViewStyle = 32260 Next Next
Can't find what you're looking for? Ask the community or share your knowledge.